/*
 * dh_am3517.c - board file for DH COM AM3517
 *
 * (C) Copyright 2011-2012
 * Ludwig Zenz, DH electronics GmbH, lzenz@dh-electronics.de
 *
 *
 * Based on am3517evm.h - Header file for the AM3517 EVM.
 *
 * Author: Vaibhav Hiremath <hvaibhav@ti.com>
 *
 * Based on ti/evm/evm.h
 *
 * Copyright (C) 2009 Texas Instruments Incorporated
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _DH_AM35x_H_
#define _DH_AM35x_H_

const omap3_sysinfo sysinfo = {
	DDR_DISCRETE,
	"DHCOM  AM35x Modul",
	"NAND",
};

/*
 * IEN  - Input Enable
 * IDIS - Input Disable
 * PTD  - Pull type Down
 * PTU  - Pull type Up
 * DIS  - Pull type selection is inactive
 * EN   - Pull type selection is active
 * M0   - Mode 0
 * The commented string gives the final mux configuration for that pin
 */
#define MUX_AM3517() \
	/* SDRC */\
	MUX_VAL(CP(SDRC_D0),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D1),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D2),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D3),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D4),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D5),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D6),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D7),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D8),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D9),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D10),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D11),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D12),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D13),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D14),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D15),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D16),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D17),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D18),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D19),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D20),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D21),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D22),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D23),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D24),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D25),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D26),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D27),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D28),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D29),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D30),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_D31),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_CLK),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_DQS0),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_DQS1),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_DQS2),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_DQS3),		(IEN  | PTD | DIS | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_DQS0N),		(IEN  | PTD | EN  | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_DQS1N),		(IEN  | PTD | EN  | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_DQS2N),		(IEN  | PTD | EN  | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_DQS3N),		(IEN  | PTD | EN  | M0)) /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_CKE0),		(M0)) 					 /* DDR2 RAM       */\
	MUX_VAL(CP(SDRC_CKE1),		(M0)) 					 /* DDR2 RAM       */\
	MUX_VAL(CP(STRBEN_DLY0),	(IEN  | PTD | EN  | M0)) /*sdrc_strben_dly0*/\
	MUX_VAL(CP(STRBEN_DLY1),	(IEN  | PTD | EN  | M0)) /*sdrc_strben_dly1*/\
	/* GPMC */\
	MUX_VAL(CP(GPMC_A1),		(IDIS | PTU | EN  | M0)) /* n. c.          */\
	MUX_VAL(CP(GPMC_A2),		(IDIS | PTU | EN  | M0)) /* n. c.          */\
	MUX_VAL(CP(GPMC_A3),		(IDIS | PTU | EN  | M0)) /* n. c.          */\
	MUX_VAL(CP(GPMC_A4),		(IDIS | PTU | EN  | M0)) /* n. c.          */\
	MUX_VAL(CP(GPMC_A5),		(IDIS | PTU | EN  | M0)) /* n. c.          */\
	MUX_VAL(CP(GPMC_A6),		(IDIS | PTU | EN  | M0)) /* n. c.          */\
	MUX_VAL(CP(GPMC_A7),		(IDIS | PTU | EN  | M0)) /* n. c.          */\
	MUX_VAL(CP(GPMC_A8),		(IDIS | PTU | EN  | M0)) /* n. c.          */\
	MUX_VAL(CP(GPMC_A9),		(IDIS | PTU | EN  | M0)) /* n. c.          */\
	MUX_VAL(CP(GPMC_A10),		(IDIS | PTU | EN  | M0)) /* n. c.          */\
	MUX_VAL(CP(GPMC_D0),		(IEN  | PTU | EN  | M0)) /* DHCOM: D0  ; NAND  */\
	MUX_VAL(CP(GPMC_D1),		(IEN  | PTU | EN  | M0)) /* DHCOM: D1  ; NAND  */\
	MUX_VAL(CP(GPMC_D2),		(IEN  | PTU | EN  | M0)) /* DHCOM: D2  ; NAND  */\
	MUX_VAL(CP(GPMC_D3),		(IEN  | PTU | EN  | M0)) /* DHCOM: D3  ; NAND  */\
	MUX_VAL(CP(GPMC_D4),		(IEN  | PTU | EN  | M0)) /* DHCOM: D4  ; NAND  */\
	MUX_VAL(CP(GPMC_D5),		(IEN  | PTU | EN  | M0)) /* DHCOM: D5  ; NAND  */\
	MUX_VAL(CP(GPMC_D6),		(IEN  | PTU | EN  | M0)) /* DHCOM: D6  ; NAND  */\
	MUX_VAL(CP(GPMC_D7),		(IEN  | PTU | EN  | M0)) /* DHCOM: D7  ; NAND  */\
	MUX_VAL(CP(GPMC_D8),		(IEN  | PTU | EN  | M0)) /* DHCOM: D8      */\
	MUX_VAL(CP(GPMC_D9),		(IEN  | PTU | EN  | M0)) /* DHCOM: D9      */\
	MUX_VAL(CP(GPMC_D10),		(IEN  | PTU | EN  | M0)) /* DHCOM: D10     */\
	MUX_VAL(CP(GPMC_D11),		(IEN  | PTU | EN  | M0)) /* DHCOM: D11     */\
	MUX_VAL(CP(GPMC_D12),		(IEN  | PTU | EN  | M0)) /* DHCOM: D12     */\
	MUX_VAL(CP(GPMC_D13),		(IEN  | PTU | EN  | M0)) /* DHCOM: D13     */\
	MUX_VAL(CP(GPMC_D14),		(IEN  | PTU | EN  | M0)) /* DHCOM: D14     */\
	MUX_VAL(CP(GPMC_D15),		(IEN  | PTU | EN  | M0)) /* DHCOM: D15     */\
	MUX_VAL(CP(GPMC_NCS0),		(IDIS | PTU | EN  | M0)) /* CS NAND-Flash  */\
	MUX_VAL(CP(GPMC_NCS1),		(IDIS | PTU | EN  | M0)) /* DHCOM: CS_A    */\
	MUX_VAL(CP(GPMC_NCS2),		(IDIS | PTU | EN  | M0)) /* DHCOM: CS_B    */\
	MUX_VAL(CP(GPMC_NCS3),		(IDIS | PTU | EN  | M0)) /* DHCOM: CS_C    */\
	MUX_VAL(CP(GPMC_NCS4),		(IDIS | PTU | EN  | M0)) /* DHCOM: CS_D    */\
	MUX_VAL(CP(GPMC_NCS5),		(IDIS | PTU | EN  | M0)) /* DHCOM: CS_E    */\
	MUX_VAL(CP(GPMC_NCS6),		(IDIS | PTD | DIS | M3)) /* DHCOM: GPIO_PWM  */\
	MUX_VAL(CP(GPMC_NCS7),		(IEN  | PTD | EN  | M4)) /* DHCOM: CAM_PWM / GPIO_L */\
	MUX_VAL(CP(GPMC_CLK),		(IDIS | PTU | EN  | M0)) /* via 10k connected to ground */\
	MUX_VAL(CP(GPMC_NADV_ALE),	(IDIS | PTD | DIS | M0)) /* MEM_ALE           */\
	MUX_VAL(CP(GPMC_NOE),		(IDIS | PTD | DIS | M0)) /* MEM_#OE           */\
	MUX_VAL(CP(GPMC_NWE),		(IDIS | PTD | DIS | M0)) /* MEM_#WE           */\
	MUX_VAL(CP(GPMC_NBE0_CLE),	(IDIS | PTU | EN  | M0)) /* MEM_CLE           */\
	MUX_VAL(CP(GPMC_NBE1),		(IDIS | PTU | EN  | M4)) /* n.c.              */\
	MUX_VAL(CP(GPMC_NWP),		(IEN  | PTD | DIS | M0)) /* MEM_#WP           */\
	MUX_VAL(CP(GPMC_WAIT0),		(IEN  | PTU | EN  | M0)) /* MEM_#R/B          */\
	MUX_VAL(CP(GPMC_WAIT1),		(IDIS | PTU | EN  | M4)) /* n.c.              */\
	MUX_VAL(CP(GPMC_WAIT2),		(IEN  | PTU | DIS | M4)) /* DHCOM: USB_PWR_EN */\
							 /* - ETH_nRESET*/\
	MUX_VAL(CP(GPMC_WAIT3),		(IEN  | PTU | DIS | M4)) /* ETH_INT          */\
	/* DSS */\
	MUX_VAL(CP(DSS_PCLK),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_PCLK   */\
	MUX_VAL(CP(DSS_HSYNC),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_HSYNC  */\
	MUX_VAL(CP(DSS_VSYNC),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_VSYNC  */\
	MUX_VAL(CP(DSS_ACBIAS),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_EN     */\
	MUX_VAL(CP(DSS_DATA0),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_B0     */\
	MUX_VAL(CP(DSS_DATA1),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_B1     */\
	MUX_VAL(CP(DSS_DATA2),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_B2     */\
	MUX_VAL(CP(DSS_DATA3),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_B3     */\
	MUX_VAL(CP(DSS_DATA4),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_B4     */\
	MUX_VAL(CP(DSS_DATA5),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_B5     */\
	MUX_VAL(CP(DSS_DATA6),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_B6     */\
	MUX_VAL(CP(DSS_DATA7),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_B7     */\
	MUX_VAL(CP(DSS_DATA8),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_G0     */\
	MUX_VAL(CP(DSS_DATA9),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_G1     */\
	MUX_VAL(CP(DSS_DATA10),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_G2     */\
	MUX_VAL(CP(DSS_DATA11),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_G3     */\
	MUX_VAL(CP(DSS_DATA12),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_G4     */\
	MUX_VAL(CP(DSS_DATA13),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_G5     */\
	MUX_VAL(CP(DSS_DATA14),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_G6     */\
	MUX_VAL(CP(DSS_DATA15),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_G7     */\
	MUX_VAL(CP(DSS_DATA16),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_R0     */\
	MUX_VAL(CP(DSS_DATA17),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_R1     */\
	MUX_VAL(CP(DSS_DATA18),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_R2     */\
	MUX_VAL(CP(DSS_DATA19),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_R3     */\
	MUX_VAL(CP(DSS_DATA20),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_R4     */\
	MUX_VAL(CP(DSS_DATA21),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_R5     */\
	MUX_VAL(CP(DSS_DATA22),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_R6     */\
	MUX_VAL(CP(DSS_DATA23),		(IDIS | PTD | DIS | M0)) /* DHCOM: LC_R7     */\
	/* MMC */\
	MUX_VAL(CP(MMC1_CLK),		(IEN  | PTU | EN  | M0)) /* onboard microSD  */\
	MUX_VAL(CP(MMC1_CMD),		(IEN  | PTU | DIS | M0)) /* onboard microSD  */\
	MUX_VAL(CP(MMC1_DAT0),		(IEN  | PTU | DIS | M0)) /* onboard microSD  */\
	MUX_VAL(CP(MMC1_DAT1),		(IEN  | PTU | DIS | M0)) /* onboard microSD  */\
	MUX_VAL(CP(MMC1_DAT2),		(IEN  | PTU | DIS | M0)) /* onboard microSD  */\
	MUX_VAL(CP(MMC1_DAT3),		(IEN  | PTU | DIS | M0)) /* onboard microSD  */\
	MUX_VAL(CP(MMC1_DAT4),		(IEN  | PTU | EN  | M4)) /* MMC2 CardDetect	(GPIO 126) */\
	MUX_VAL(CP(MMC1_DAT5),		(IEN  | PTU | EN  | M4)) /* MMC1 CardDetect	(GPIO 127) */\
	MUX_VAL(CP(MMC1_DAT6),		(IEN  | PTU | DIS | M4)) /* #PMIC_INT Interupt Power-MGMT */\
	MUX_VAL(CP(MMC1_DAT7),		(IEN  | PTU | EN  | M4)) /* RTC_MFP (multi function pin) */\
	\
	MUX_VAL(CP(MMC2_CLK),		(IEN  | PTD | EN  | M0)) /* DHCOM: SD_CLK */\
	MUX_VAL(CP(MMC2_CMD),		(IEN  | PTD | DIS | M0)) /* DHCOM: SD_CMD */\
	MUX_VAL(CP(MMC2_DAT0),		(IEN  | PTD | DIS | M0)) /* DHCOM: SD_D0  */\
	MUX_VAL(CP(MMC2_DAT1),		(IEN  | PTD | DIS | M0)) /* DHCOM: SD_D1  */\
	MUX_VAL(CP(MMC2_DAT2),		(IEN  | PTD | DIS | M0)) /* DHCOM: SD_D2  */\
	MUX_VAL(CP(MMC2_DAT3),		(IEN  | PTD | DIS | M0)) /* DHCOM: SD_D3  */\
	\
	MUX_VAL(CP(MMC2_DAT4),		(IDIS | PTD | DIS | M4)) /* DHCOM: (UART1_DTR) - GPIO L */\
	MUX_VAL(CP(MMC2_DAT5),		(IDIS | PTD | DIS | M4)) /* DHCOM: (UART1_DSR) - GPIO M */\
	MUX_VAL(CP(MMC2_DAT6),		(IDIS | PTD | DIS | M4)) /* DHCOM: (UART1_DCD) - GPIO N */\
	MUX_VAL(CP(MMC2_DAT7),		(IDIS | PTD | DIS | M4)) /* DHCOM: (UART1_RI)  - GPIO O */\
	/* McBSP */\
	MUX_VAL(CP(MCBSP_CLKS),		(IEN  | PTU | DIS | M4)) /* Code_SDRAM_0   */\
	MUX_VAL(CP(MCBSP1_CLKR),	(IDIS | PTD | DIS | M4)) /* HSUSB1_RES     */\
	MUX_VAL(CP(MCBSP1_FSR),		(IEN  | PTU | DIS | M4)) /* USB_POWER_STAT */\
	MUX_VAL(CP(MCBSP1_DX),		(IDIS | PTD | DIS | M0)) /* Audio Din      */\
	MUX_VAL(CP(MCBSP1_DR),		(IEN  | PTD | DIS | M0)) /* Audio Dout     */\
	MUX_VAL(CP(MCBSP1_FSX),		(IEN  | PTD | DIS | M0)) /* Audio */\
	MUX_VAL(CP(MCBSP1_CLKX),	(IEN  | PTD | DIS | M0)) /* Audio */\
	\
	MUX_VAL(CP(MCBSP2_FSX),		(IEN  | PTD | EN  | M4)) /* DHCOM: GPIO A  */\
	MUX_VAL(CP(MCBSP2_CLKX),	(IEN  | PTD | EN  | M4)) /* DHCOM: GPIO B  */\
	MUX_VAL(CP(MCBSP2_DR),		(IEN  | PTD | EN  | M4)) /* DHCOM: GPIO C  */\
	MUX_VAL(CP(MCBSP2_DX),		(IEN  | PTD | EN  | M4)) /* DHCOM: GPIO D  */\
	\
	MUX_VAL(CP(MCBSP3_DX),		(IEN  | PTD | EN  | M4)) /* DHCOM: GPIO F  */\
	MUX_VAL(CP(MCBSP3_DR),		(IEN  | PTD | EN  | M4)) /* DHCOM: GPIO G  */\
	MUX_VAL(CP(MCBSP3_CLKX),	(IDIS | PTD | DIS | M1)) /* DHCOM: UART3_TX */\
	MUX_VAL(CP(MCBSP3_FSX),		(IEN  | PTD | DIS | M1)) /* DHCOM: UART3_RX */\
	\
	MUX_VAL(CP(MCBSP4_DR),		(IDIS | PTD | DIS | M4)) /* A_LATCH_#OE    */\
	MUX_VAL(CP(MCBSP4_DX),		(IEN  | PTD | DIS | M4)) /* Code NAND1     */\
	MUX_VAL(CP(MCBSP4_FSX),		(IEN  | PTD | EN  | M4)) /* DHCOM: GPIO H  */\
	MUX_VAL(CP(MCBSP4_CLKX),	(IEN  | PTD | EN  | M4)) /* DHCOM: GPIO I  */\
    \
	/* UART */\
	/* LZ: DH-Board uses UART1 and not UART3 for debug */\
	MUX_VAL(CP(UART1_TX),       (IDIS | PTD | DIS | M0)) /* DHCOM: UART1_TX  */\
	MUX_VAL(CP(UART1_RTS),      (IDIS | PTD | DIS | M0)) /* DHCOM: UART1_RTS */\
	MUX_VAL(CP(UART1_CTS),      (IEN  | PTU | DIS | M0)) /* DHCOM: UART1_CTS */\
	MUX_VAL(CP(UART1_RX),       (IEN  | PTD | DIS | M0)) /* DHCOM: UART1_RX  */\
	/* UART2 alternative routing is used */\
	MUX_VAL(CP(UART2_CTS),		(IDIS | PTD | DIS | M4)) /* SPI_FLASH_HOLD   */\
	MUX_VAL(CP(UART2_RTS),		(IDIS | PTD | DIS | M4)) /* SPI_FLASH_WP     */\
	MUX_VAL(CP(UART2_TX),		(IDIS | PTD | DIS | M4)) /* ETH_VIO_GPIO     */\
	MUX_VAL(CP(UART2_RX),		(IDIS | PTD | DIS | M4)) /* TOUCH_INT        */\
	/* Real UART3 is connected to UART2 at DHCOM connector */\
	MUX_VAL(CP(UART3_CTS_RCTX),	(IEN  | PTU | DIS | M0)) /* DHCOM: UART2_CTS */\
	MUX_VAL(CP(UART3_RTS_SD),	(IDIS | PTD | DIS | M0)) /* DHCOM: UART2_RTS */\
	MUX_VAL(CP(UART3_RX_IRRX),	(IEN  | PTD | DIS | M0)) /* DHCOM: UART2_RX  */\
	MUX_VAL(CP(UART3_TX_IRTX),	(IDIS | PTD | DIS | M0)) /* DHCOM: UART2_TX  */\
	/* I2C */\
	MUX_VAL(CP(I2C1_SCL),		(IEN  | PTU | EN  | M0)) /* I2C_SCL (PowerMGMT, RTC, Audio, Touch) */\
	MUX_VAL(CP(I2C1_SDA),		(IEN  | PTU | EN  | M0)) /* I2C_SDA (PowerMGMT, RTC, Audio, Touch) */\
	MUX_VAL(CP(I2C2_SCL),		(IEN  | PTU | EN  | M0)) /* DHCOM: I2C2_SCLK   */\
	MUX_VAL(CP(I2C2_SDA),		(IEN  | PTU | EN  | M0)) /* DHCOM: I2C2_SDAT   */\
	MUX_VAL(CP(I2C3_SCL),		(IEN  | PTU | EN  | M0)) /* DHCOM: I2C_SCLK    */\
	MUX_VAL(CP(I2C3_SDA),		(IEN  | PTU | EN  | M0)) /* DHCOM: I2C_SDAT    */\
	/* McSPI */\
	MUX_VAL(CP(MCSPI1_CLK),		(IEN  | PTD | DIS | M0)) /* DHCOM: SPI1_CLK     */\
	MUX_VAL(CP(MCSPI1_SIMO),	(IEN  | PTU | DIS | M0)) /* DHCOM: SPI1_MOSI    */\
	MUX_VAL(CP(MCSPI1_SOMI),	(IEN  | PTU | DIS | M0)) /* DHCOM: SPI1_MISO    */\
	MUX_VAL(CP(MCSPI1_CS0),		(IEN  | PTD | EN  | M0)) /* SPI-Flash           */\
	MUX_VAL(CP(MCSPI1_CS1),		(IDIS | PTD | EN  | M0)) /* DHCOM: SPI1_CS0     */\
	MUX_VAL(CP(MCSPI1_CS2),		(IEN  | PTU | DIS | M4)) /* Code_NAND_0         */\
	MUX_VAL(CP(MCSPI1_CS3),		(IEN  | PTD | EN  | M4)) /* USB_HOST2_VP */\
	\
	MUX_VAL(CP(MCSPI2_CLK),		(IEN  | PTD | DIS | M0)) /* DHCOM: SPI2_CLK     */\
	MUX_VAL(CP(MCSPI2_SIMO),	(IEN  | PTD | DIS | M0)) /* DHCOM: SPI2_MOSI    */\
	MUX_VAL(CP(MCSPI2_SOMI),	(IEN  | PTD | DIS | M0)) /* DHCOM: SPI2_MISO    */\
	MUX_VAL(CP(MCSPI2_CS0),		(IEN  | PTD | EN  | M0)) /* DHCOM: SPI2_CS0     */\
	MUX_VAL(CP(MCSPI2_CS1),		(IEN  | PTD | EN  | M4)) /* USB_HOST2_#OE */\
	/* CCDC - CAMERA */\
	MUX_VAL(CP(CCDC_PCLK),		(IEN  | PTD | EN  | M4)) /* DHCOM: CIF_PCLK  / GPIO_K */\
	MUX_VAL(CP(CCDC_FIELD),		(IEN  | PTD | EN  | M4)) /* DHCOM: CIF_D8    / GPIO_O */\
	MUX_VAL(CP(CCDC_HD),		(IEN  | PTD | EN  | M4)) /* DHCOM: CIF_HSYNC / GPIO_J */\
	MUX_VAL(CP(CCDC_VD),		(IEN  | PTD | EN  | M4)) /* DHCOM: CIF_VSYNC / GPIO_M */\
	MUX_VAL(CP(CCDC_WEN),		(IEN  | PTD | EN  | M4)) /* DHCOM: CIF_D9    / GPIO_N */\
	MUX_VAL(CP(CCDC_DATA0),		(IEN  | PTD | EN  | M4)) /* DHCOM: CIF_D0    / GPIO_W */\
	MUX_VAL(CP(CCDC_DATA1),		(IEN  | PTD | EN  | M4)) /* DHCOM: CIF_D1    / GPIO_V */\
	MUX_VAL(CP(CCDC_DATA2),		(IEN  | PTD | EN  | M4)) /* DHCOM: CIF_D2    / GPIO_U */\
	MUX_VAL(CP(CCDC_DATA3),		(IEN  | PTD | EN  | M4)) /* DHCOM: CIF_D3    / GPIO_T */\
	MUX_VAL(CP(CCDC_DATA4),		(IEN  | PTD | EN  | M4)) /* DHCOM: CIF_D4    / GPIO_S */\
	MUX_VAL(CP(CCDC_DATA5),		(IEN  | PTD | EN  | M4)) /* DHCOM: CIF_D5    / GPIO_R */\
	MUX_VAL(CP(CCDC_DATA6),		(IEN  | PTD | EN  | M4)) /* DHCOM: CIF_D6    / GPIO_Q */\
	MUX_VAL(CP(CCDC_DATA7),		(IEN  | PTD | EN  | M4)) /* DHCOM: CIF_D7    / GPIO_P */\
	/* RMII - Ethernet PHY */\
	MUX_VAL(CP(RMII_MDIO_DATA),	(IEN  |  M0)) \
	MUX_VAL(CP(RMII_MDIO_CLK),	(M0)) \
	MUX_VAL(CP(RMII_RXD0)	,	(IEN  | PTD | M0)) \
	MUX_VAL(CP(RMII_RXD1),		(IEN  | PTD | M0)) \
	MUX_VAL(CP(RMII_CRS_DV),	(IEN  | PTD | M0)) \
	MUX_VAL(CP(RMII_RXER),		(PTD | M0)) \
	MUX_VAL(CP(RMII_TXD0),		(PTD | M0)) \
	MUX_VAL(CP(RMII_TXD1),		(PTD | M0)) \
	MUX_VAL(CP(RMII_TXEN),		(PTD | M0)) \
	MUX_VAL(CP(RMII_50MHZ_CLK),	(IEN  | PTD | EN  | M0)) \
	/* HECC */\
	MUX_VAL(CP(HECC1_TXD),		(IEN  | PTU | EN  | M0)) \
	MUX_VAL(CP(HECC1_RXD),		(IEN  | PTU | EN  | M0)) \
	MUX_VAL(CP(USB0_DRVBUS),	(IEN  | PTD | EN  | M4)) /* DHCOM: GPIO E - USBOTG_DRVVBUS */\
	/* HDQ */\
	MUX_VAL(CP(HDQ_SIO),		(IEN  | PTU | EN  | M0)) \
	/* Control and debug */\
	MUX_VAL(CP(SYS_32K),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(SYS_CLKREQ),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(SYS_NIRQ),		(IEN  | PTU | EN  | M0)) /* Must be configured to M0 (rootfs)*/\
	MUX_VAL(CP(SYS_NRESWARM),   (IDIS | PTU | DIS | M4)) /*SYS_nRESWARM */\
							/* - GPIO30 */\
	MUX_VAL(CP(SYS_BOOT0),		(IEN  | PTD | DIS | M4)) /*GPIO_2*/\
							 /* - PEN_IRQ */\
	MUX_VAL(CP(SYS_BOOT1),		(IEN  | PTD | DIS | M4)) /*GPIO_3 */\
	MUX_VAL(CP(SYS_BOOT2),		(IEN  | PTD | DIS | M4)) /*GPIO_4*/\
	MUX_VAL(CP(SYS_BOOT3),		(IEN  | PTD | DIS | M4)) /*GPIO_5*/\
	MUX_VAL(CP(SYS_BOOT4),		(IEN  | PTD | DIS | M4)) /*GPIO_6*/\
	MUX_VAL(CP(SYS_BOOT5),		(IEN  | PTD | DIS | M4)) /*GPIO_7*/\
	MUX_VAL(CP(SYS_BOOT6),		(IDIS | PTD | DIS | M4)) /*GPIO_8*/\
							 /* - VIO_1V8*/\
	MUX_VAL(CP(SYS_BOOT7),		(IEN  | PTD | EN  | M0)) \
	MUX_VAL(CP(SYS_BOOT8),		(IEN  | PTD | EN  | M0)) \
	\
	MUX_VAL(CP(SYS_OFF_MODE),	(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(SYS_CLKOUT1),	(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(SYS_CLKOUT2),	(IEN  | PTU | DIS | M4)) /* Code_HW 2 */\
	/* JTAG */\
	MUX_VAL(CP(JTAG_nTRST),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(JTAG_TCK),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(JTAG_TMS),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(JTAG_TDI),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(JTAG_EMU0),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(JTAG_EMU1),		(IEN  | PTD | DIS | M0)) \
	/* ETK (ES2 onwards) - LZ: Pads are used for USB HS Port*/\
	MUX_VAL(CP(ETK_CLK_ES2),	(IEN  | PTD | DIS | M3)) /* HSUSB1_STP  */\
	MUX_VAL(CP(ETK_CTL_ES2),	(IDIS | PTU | DIS | M3)) /* HSUSB1_CLK  */\
	MUX_VAL(CP(ETK_D0_ES2 ),	(IEN  | PTD | DIS | M3)) /* HSUSB1_DAT0 */\
	MUX_VAL(CP(ETK_D1_ES2 ),	(IEN  | PTD | DIS | M3)) /* HSUSB1_DAT1 */\
	MUX_VAL(CP(ETK_D2_ES2 ),	(IEN  | PTD | DIS | M3)) /* HSUSB1_DAT2 */\
	MUX_VAL(CP(ETK_D3_ES2 ),	(IEN  | PTD | DIS | M3)) /* HSUSB1_DAT3 */\
	MUX_VAL(CP(ETK_D4_ES2 ),	(IEN  | PTD | DIS | M3)) /* HSUSB1_DAT4 */\
	MUX_VAL(CP(ETK_D5_ES2 ),	(IEN  | PTD | DIS | M3)) /* HSUSB1_DAT5 */\
	MUX_VAL(CP(ETK_D6_ES2 ),	(IEN  | PTD | DIS | M3)) /* HSUSB1_DAT6 */\
	MUX_VAL(CP(ETK_D7_ES2 ),	(IEN  | PTD | DIS | M3)) /* HSUSB1_DAT7 */\
	MUX_VAL(CP(ETK_D8_ES2 ),	(IEN  | PTD | DIS | M3)) /* HSUSB1_DIR  */\
	MUX_VAL(CP(ETK_D9_ES2 ),	(IEN  | PTD | DIS | M3)) /* HSUSB1_NXT  */\
	\
	MUX_VAL(CP(ETK_D10_ES2),	(IEN  | PTD | DIS | M4)) /* Code_SDRAM 1*/\
	MUX_VAL(CP(ETK_D11_ES2),	(IEN  | PTD | DIS | M4)) /* Code_SDRAM 2*/\
	MUX_VAL(CP(ETK_D12_ES2),	(IEN  | PTD | DIS | M4)) /* Code_HW 0 */\
	MUX_VAL(CP(ETK_D13_ES2),	(IEN  | PTD | DIS | M4)) /* Code_HW 1 */\
	/* USB Host FS */\
	MUX_VAL(CP(ETK_D14_ES2),	(IEN  | PTD | DIS | M4)) /* USB_HOST2_RCV */\
	MUX_VAL(CP(ETK_D15_ES2),	(IEN  | PTD | DIS | M4)) /* USB_HOST2_VM  */\
	/* Die to Die */\
	MUX_VAL(CP(D2D_MCAD34),		(IEN  | PTD | EN  | M0)) \
	MUX_VAL(CP(D2D_MCAD35),		(IEN  | PTD | EN  | M0)) \
	MUX_VAL(CP(D2D_MCAD36),		(IEN  | PTD | EN  | M0)) \
	MUX_VAL(CP(D2D_CLK26MI),	(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_NRESPWRON),	(IEN  | PTD | EN  | M0)) \
	MUX_VAL(CP(D2D_NRESWARM),	(IEN  | PTU | EN  | M0)) \
	MUX_VAL(CP(D2D_ARM9NIRQ),	(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_UMA2P6FIQ),	(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_SPINT),		(IEN  | PTD | EN  | M0)) \
	MUX_VAL(CP(D2D_FRINT),		(IEN  | PTD | EN  | M0)) \
	MUX_VAL(CP(D2D_DMAREQ0),	(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_DMAREQ1),	(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_DMAREQ2),	(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_DMAREQ3),	(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_N3GTRST),	(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_N3GTDI),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_N3GTDO),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_N3GTMS),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_N3GTCK),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_N3GRTCK),	(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_MSTDBY),		(IEN  | PTU | EN  | M0)) \
	MUX_VAL(CP(D2D_SWAKEUP),	(IEN  | PTD | EN  | M0)) \
	MUX_VAL(CP(D2D_IDLEREQ),	(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_IDLEACK),	(IEN  | PTU | EN  | M0)) \
	MUX_VAL(CP(D2D_MWRITE),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_SWRITE),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_MREAD),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_SREAD),		(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_MBUSFLAG),	(IEN  | PTD | DIS | M0)) \
	MUX_VAL(CP(D2D_SBUSFLAG),	(IEN  | PTD | DIS | M0)) \

	const unsigned long padconf_gpio[192] = {
			OMAP34XX_CTRL_BASE + CP(SYS_NIRQ), 		/* gpio   0 */
			OMAP34XX_CTRL_BASE + CP(SYS_CLKREQ), 	/* gpio   1 */
			OMAP34XX_CTRL_BASE + CP(SYS_BOOT0), 	/* gpio   2 */
			OMAP34XX_CTRL_BASE + CP(SYS_BOOT1), 	/* gpio   3 */
			OMAP34XX_CTRL_BASE + CP(SYS_BOOT2), 	/* gpio   4 */
			OMAP34XX_CTRL_BASE + CP(SYS_BOOT3), 	/* gpio   5 */
			OMAP34XX_CTRL_BASE + CP(SYS_BOOT4), 	/* gpio   6 */
			OMAP34XX_CTRL_BASE + CP(SYS_BOOT5), 	/* gpio   7 */

			OMAP34XX_CTRL_BASE + CP(SYS_BOOT6), 	/* gpio   8 */
			OMAP34XX_CTRL_BASE + CP(SYS_BOOT7), 	/* gpio   9 - Not sure about this */
			OMAP34XX_CTRL_BASE + CP(SYS_CLKOUT1), 	/* gpio  10 */
			OMAP34XX_CTRL_BASE + CP(JTAG_EMU0), 	/* gpio  11 */
			OMAP34XX_CTRL_BASE + CP(ETK_CLK), 		/* gpio  12 */
			OMAP34XX_CTRL_BASE + CP(ETK_CTL), 		/* gpio  13 */
			OMAP34XX_CTRL_BASE + CP(ETK_D0), 		/* gpio  14 */
			OMAP34XX_CTRL_BASE + CP(ETK_D1), 		/* gpio  15 */

			OMAP34XX_CTRL_BASE + CP(ETK_D2), 		/* gpio  16 */
			OMAP34XX_CTRL_BASE + CP(ETK_D3), 		/* gpio  17 */
			OMAP34XX_CTRL_BASE + CP(ETK_D4), 		/* gpio  18 */
			OMAP34XX_CTRL_BASE + CP(ETK_D5), 		/* gpio  19 */
			OMAP34XX_CTRL_BASE + CP(ETK_D6), 		/* gpio  20 */
			OMAP34XX_CTRL_BASE + CP(ETK_D7), 		/* gpio  21 */
			OMAP34XX_CTRL_BASE + CP(ETK_D8), 		/* gpio  22 */
			OMAP34XX_CTRL_BASE + CP(ETK_D9), 		/* gpio  23 */

			OMAP34XX_CTRL_BASE + CP(ETK_D10), 		/* gpio  24 */
			OMAP34XX_CTRL_BASE + CP(ETK_D11), 		/* gpio  25 */
			OMAP34XX_CTRL_BASE + CP(ETK_D12), 		/* gpio  26 */
			OMAP34XX_CTRL_BASE + CP(ETK_D13), 		/* gpio  27 */
			OMAP34XX_CTRL_BASE + CP(ETK_D14), 		/* gpio  28 */
			OMAP34XX_CTRL_BASE + CP(ETK_D15), 		/* gpio  29 */
			OMAP34XX_CTRL_BASE + CP(SYS_NRESWARM), 	/* gpio  30 */
			OMAP34XX_CTRL_BASE + CP(JTAG_EMU1), 	/* gpio  31 */

			0, 										/* gpio  32 */
			0, 										/* gpio  33 */
			OMAP34XX_CTRL_BASE + CP(GPMC_A1), 		/* gpio  34 */
			OMAP34XX_CTRL_BASE + CP(GPMC_A2), 		/* gpio  35 */
			OMAP34XX_CTRL_BASE + CP(GPMC_A3), 		/* gpio  36 */
			OMAP34XX_CTRL_BASE + CP(GPMC_A4), 		/* gpio  37 */
			OMAP34XX_CTRL_BASE + CP(GPMC_A5), 		/* gpio  38 */
			OMAP34XX_CTRL_BASE + CP(GPMC_A6), 		/* gpio  39 */

			OMAP34XX_CTRL_BASE + CP(GPMC_A7), 		/* gpio  40 */
			OMAP34XX_CTRL_BASE + CP(GPMC_A8), 		/* gpio  41 */
			OMAP34XX_CTRL_BASE + CP(GPMC_A9), 		/* gpio  42 */
			OMAP34XX_CTRL_BASE + CP(GPMC_A10), 		/* gpio  43 */
			OMAP34XX_CTRL_BASE + CP(GPMC_D8), 		/* gpio  44 */
			OMAP34XX_CTRL_BASE + CP(GPMC_D9), 		/* gpio  45 */
			OMAP34XX_CTRL_BASE + CP(GPMC_D10), 		/* gpio  46 */
			OMAP34XX_CTRL_BASE + CP(GPMC_D11), 		/* gpio  47 */

			OMAP34XX_CTRL_BASE + CP(GPMC_D12), 		/* gpio  48 */
			OMAP34XX_CTRL_BASE + CP(GPMC_D13), 		/* gpio  49 */
			OMAP34XX_CTRL_BASE + CP(GPMC_D14), 		/* gpio  50 */
			OMAP34XX_CTRL_BASE + CP(GPMC_D15), 		/* gpio  51 */
			OMAP34XX_CTRL_BASE + CP(GPMC_NCS1), 	/* gpio  52 */
			OMAP34XX_CTRL_BASE + CP(GPMC_NCS2), 	/* gpio  53 */
			OMAP34XX_CTRL_BASE + CP(GPMC_NCS3), 	/* gpio  54 */
			OMAP34XX_CTRL_BASE + CP(GPMC_NCS4), 	/* gpio  55 */

			OMAP34XX_CTRL_BASE + CP(GPMC_NCS5), 	/* gpio  56 */
			OMAP34XX_CTRL_BASE + CP(GPMC_NCS6), 	/* gpio  57 */
			OMAP34XX_CTRL_BASE + CP(GPMC_NCS7), 	/* gpio  58 */
			OMAP34XX_CTRL_BASE + CP(GPMC_CLK), 		/* gpio  59 */
			OMAP34XX_CTRL_BASE + CP(GPMC_NBE0_CLE), /* gpio  60 */
			OMAP34XX_CTRL_BASE + CP(GPMC_NBE1), 	/* gpio  61 */
			OMAP34XX_CTRL_BASE + CP(GPMC_NWP), 		/* gpio  62 */
			OMAP34XX_CTRL_BASE + CP(GPMC_WAIT1), 	/* gpio  63 */

			OMAP34XX_CTRL_BASE + CP(GPMC_WAIT2), 	/* gpio  64 */
			OMAP34XX_CTRL_BASE + CP(GPMC_WAIT3), 	/* gpio  65 */
			OMAP34XX_CTRL_BASE + CP(DSS_PCLK), 		/* gpio  66 */
			OMAP34XX_CTRL_BASE + CP(DSS_HSYNC), 	/* gpio  67 */
			OMAP34XX_CTRL_BASE + CP(DSS_VSYNC), 	/* gpio  68 */
			OMAP34XX_CTRL_BASE + CP(DSS_ACBIAS), 	/* gpio  69 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA0), 	/* gpio  70 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA1), 	/* gpio  71 */

			OMAP34XX_CTRL_BASE + CP(DSS_DATA2), 	/* gpio  72 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA3), 	/* gpio  73 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA4), 	/* gpio  74 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA5), 	/* gpio  75 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA6), 	/* gpio  76 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA7), 	/* gpio  77 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA8), 	/* gpio  78 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA9), 	/* gpio  79 */

			OMAP34XX_CTRL_BASE + CP(DSS_DATA10), 	/* gpio  80 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA11), 	/* gpio  81 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA12), 	/* gpio  82 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA13), 	/* gpio  83 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA14), 	/* gpio  84 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA15), 	/* gpio  85 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA16), 	/* gpio  86 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA17), 	/* gpio  87 */

			OMAP34XX_CTRL_BASE + CP(DSS_DATA18), 	/* gpio  88 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA19), 	/* gpio  89 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA20), 	/* gpio  90 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA21), 	/* gpio  91 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA22), 	/* gpio  92 */
			OMAP34XX_CTRL_BASE + CP(DSS_DATA23), 	/* gpio  93 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD0), 	/* gpio  94 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD1), 	/* gpio  95 */

			OMAP34XX_CTRL_BASE + CP(D2D_MCAD2), 	/* gpio  96 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD3), 	/* gpio  97 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD4), 	/* gpio  98 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD5), 	/* gpio  99 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD6), 	/* gpio 100 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD7), 	/* gpio 101 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD8), 	/* gpio 102 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD9), 	/* gpio 103 */

			OMAP34XX_CTRL_BASE + CP(D2D_MCAD10), 	/* gpio 104 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD11), 	/* gpio 105 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD12), 	/* gpio 106 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD13), 	/* gpio 107 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD14), 	/* gpio 108 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD15), 	/* gpio 109 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD16), 	/* gpio 110 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD17), 	/* gpio 111 */

			OMAP34XX_CTRL_BASE + CP(D2D_MCAD20), 	/* gpio 112 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD21), 	/* gpio 113 */
			OMAP34XX_CTRL_BASE + CP(D2D_MCAD22), 	/* gpio 114 */
			0, 										/* gpio 115 */
			OMAP34XX_CTRL_BASE + CP(MCBSP2_FSX), 	/* gpio 116 */
			OMAP34XX_CTRL_BASE + CP(MCBSP2_CLKX), 	/* gpio 117 */
			OMAP34XX_CTRL_BASE + CP(MCBSP2_DR), 	/* gpio 118 */
			OMAP34XX_CTRL_BASE + CP(MCBSP2_DX), 	/* gpio 119 */

			OMAP34XX_CTRL_BASE + CP(MMC1_CLK), 		/* gpio 120 */
			OMAP34XX_CTRL_BASE + CP(MMC1_CMD), 		/* gpio 121 */
			OMAP34XX_CTRL_BASE + CP(MMC1_DAT0), 	/* gpio 122 */
			OMAP34XX_CTRL_BASE + CP(MMC1_DAT1), 	/* gpio 123 */
			OMAP34XX_CTRL_BASE + CP(MMC1_DAT2), 	/* gpio 124 */
			OMAP34XX_CTRL_BASE + CP(MMC1_DAT3), 	/* gpio 125 */
			OMAP34XX_CTRL_BASE + CP(MMC1_DAT4), 	/* gpio 126 */
			OMAP34XX_CTRL_BASE + CP(MMC1_DAT5), 	/* gpio 127 */

			OMAP34XX_CTRL_BASE + CP(MMC1_DAT6), 	/* gpio 128 */
			OMAP34XX_CTRL_BASE + CP(MMC1_DAT7), 	/* gpio 129 */
			OMAP34XX_CTRL_BASE + CP(MMC2_CLK), 		/* gpio 130 */
			OMAP34XX_CTRL_BASE + CP(MMC2_CMD), 		/* gpio 131 */
			OMAP34XX_CTRL_BASE + CP(MMC2_DAT0), 	/* gpio 132 */
			OMAP34XX_CTRL_BASE + CP(MMC2_DAT1), 	/* gpio 133 */
			OMAP34XX_CTRL_BASE + CP(MMC2_DAT2), 	/* gpio 134 */
			OMAP34XX_CTRL_BASE + CP(MMC2_DAT3), 	/* gpio 135 */

			OMAP34XX_CTRL_BASE + CP(MMC2_DAT4), 	/* gpio 136 */
			OMAP34XX_CTRL_BASE + CP(MMC2_DAT5), 	/* gpio 137 */
			OMAP34XX_CTRL_BASE + CP(MMC2_DAT6), 	/* gpio 138 */
			OMAP34XX_CTRL_BASE + CP(MMC2_DAT7), 	/* gpio 139 */
			OMAP34XX_CTRL_BASE + CP(MCBSP3_DX), 	/* gpio 140 */
			OMAP34XX_CTRL_BASE + CP(MCBSP3_DR), 	/* gpio 141 */
			OMAP34XX_CTRL_BASE + CP(MCBSP3_CLKX), 	/* gpio 142 */
			OMAP34XX_CTRL_BASE + CP(MCBSP3_FSX), 	/* gpio 143 */

			OMAP34XX_CTRL_BASE + CP(UART2_CTS), 	/* gpio 144 */
			OMAP34XX_CTRL_BASE + CP(UART2_RTS), 	/* gpio 145 */
			OMAP34XX_CTRL_BASE + CP(UART2_TX), 		/* gpio 146 */
			OMAP34XX_CTRL_BASE + CP(UART2_RX), 		/* gpio 147 */
			OMAP34XX_CTRL_BASE + CP(UART1_TX), 		/* gpio 148 */
			OMAP34XX_CTRL_BASE + CP(UART1_RTS), 	/* gpio 149 */
			OMAP34XX_CTRL_BASE + CP(UART1_CTS), 	/* gpio 150 */
			OMAP34XX_CTRL_BASE + CP(UART1_RX), 		/* gpio 151 */

			OMAP34XX_CTRL_BASE + CP(MCBSP4_CLKX), 	/* gpio 152 */
			OMAP34XX_CTRL_BASE + CP(MCBSP4_DR), 	/* gpio 153 */
			OMAP34XX_CTRL_BASE + CP(MCBSP4_DX), 	/* gpio 154 */
			OMAP34XX_CTRL_BASE + CP(MCBSP4_FSX), 	/* gpio 155 */
			OMAP34XX_CTRL_BASE + CP(MCBSP1_CLKR), 	/* gpio 156 */
			OMAP34XX_CTRL_BASE + CP(MCBSP1_FSR), 	/* gpio 157 */
			OMAP34XX_CTRL_BASE + CP(MCBSP1_DX), 	/* gpio 158 */
			OMAP34XX_CTRL_BASE + CP(MCBSP1_DR), 	/* gpio 159 */

			OMAP34XX_CTRL_BASE + CP(MCBSP_CLKS), 	/* gpio 160 */
			OMAP34XX_CTRL_BASE + CP(MCBSP1_FSX), 	/* gpio 161 */
			OMAP34XX_CTRL_BASE + CP(MCBSP1_CLKX), 	/* gpio 162 */
			OMAP34XX_CTRL_BASE + CP(UART3_CTS_RCTX),/* gpio 163 */
			OMAP34XX_CTRL_BASE + CP(UART3_RTS_SD), 	/* gpio 164 */
			OMAP34XX_CTRL_BASE + CP(UART3_RX_IRRX), /* gpio 165 */
			OMAP34XX_CTRL_BASE + CP(UART3_TX_IRTX), /* gpio 166 */
			OMAP34XX_CTRL_BASE + CP(RMII_RXER), 	/* gpio 167 */

			OMAP34XX_CTRL_BASE + CP(I2C2_SCL), 		/* gpio 168 */
			0, 										/* gpio 169 */
			OMAP34XX_CTRL_BASE + CP(HDQ_SIO), 		/* gpio 170 */
			OMAP34XX_CTRL_BASE + CP(MCSPI1_CLK), 	/* gpio 171 */
			OMAP34XX_CTRL_BASE + CP(MCSPI1_SIMO), 	/* gpio 172 */
			OMAP34XX_CTRL_BASE + CP(MCSPI1_SOMI), 	/* gpio 173 */
			OMAP34XX_CTRL_BASE + CP(MCSPI1_CS0), 	/* gpio 174 */
			OMAP34XX_CTRL_BASE + CP(MCSPI1_CS1), 	/* gpio 175 */

			OMAP34XX_CTRL_BASE + CP(MCSPI1_CS2), 	/* gpio 176 */
			OMAP34XX_CTRL_BASE + CP(MCSPI1_CS3), 	/* gpio 177 */
			OMAP34XX_CTRL_BASE + CP(MCSPI2_CLK), 	/* gpio 178 */
			OMAP34XX_CTRL_BASE + CP(MCSPI2_SIMO), 	/* gpio 179 */
			OMAP34XX_CTRL_BASE + CP(MCSPI2_SOMI), 	/* gpio 180 */
			OMAP34XX_CTRL_BASE + CP(MCSPI2_CS0), 	/* gpio 181 */
			OMAP34XX_CTRL_BASE + CP(MCSPI2_CS1), 	/* gpio 182 */
			OMAP34XX_CTRL_BASE + CP(I2C2_SDA), 		/* gpio 183 */

			OMAP34XX_CTRL_BASE + CP(I2C3_SCL), 		/* gpio 184 */
			OMAP34XX_CTRL_BASE + CP(I2C3_SDA), 		/* gpio 185 */
			OMAP34XX_CTRL_BASE + CP(SYS_CLKOUT2), 	/* gpio 186 */
			0, 										/* gpio 187 */
			0, 										/* gpio 188 */
			0, 										/* gpio 189 */
			0, 										/* gpio 190 */
			0 										/* gpio 191 */

	};

#endif
