/*
 * File: cmd_disp_info.c
 *
 * (C) Copyright 2011-2012
 * Andreas Geisreiter , DH electronics GmbH , ageisreiter@dh-electronics.de
 * Ludwig Zenz, DH electronics GmbH , lzenz@dh-electronics.de
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

/*
 *  Version:  1.0
 *
 *  Abstract: Command to display DHCOM gpios configurations and states
 *
 *  Notes:
 *		Created by: 	Ludwig Zenz
 *  	Created: 		May 2, 2012
 *  	Modified:
 */
 
#include <common.h>
#include <command.h>
#include <asm/io.h>
#include <asm/arch/gpio.h>
#include <asm/errno.h>


#if defined(CONFIG_CMD_GPIO_INFO)

int do_gpio_info ( cmd_tbl_t *cmdtp, int flag, int argc, char *argv[])
{
	char *acInOut[2] = {"Output","Input"};
	u32 aiDHCOMgpios[23] = {DHCOM_GPIO_A, DHCOM_GPIO_B, DHCOM_GPIO_C, DHCOM_GPIO_D, DHCOM_GPIO_E, DHCOM_GPIO_F,
							DHCOM_GPIO_G, DHCOM_GPIO_H, DHCOM_GPIO_I, DHCOM_GPIO_J, DHCOM_GPIO_K, DHCOM_GPIO_L,
							DHCOM_GPIO_M, DHCOM_GPIO_N, DHCOM_GPIO_O, DHCOM_GPIO_P, DHCOM_GPIO_Q, DHCOM_GPIO_R,
							DHCOM_GPIO_S, DHCOM_GPIO_T, DHCOM_GPIO_U, DHCOM_GPIO_V, DHCOM_GPIO_W};
	int iDirection = 0;
	int iState = 0;
	int index;

	/* execute one iteration for each DHCOM gpio */
    for (index = 0; index < 23; index++)
    {
    	/* get direction of gpio (1=input/0=output) */
		iDirection = omap_get_gpio_direction(aiDHCOMgpios[index]);
		printf("  GPIO_%c: Direction = %s \n", ('A'+index), acInOut[iDirection]);

		/* get data of output or input register depending on direction */
		if (iDirection)		iState = omap_get_gpio_datain(aiDHCOMgpios[index]);
		else 				iState = omap_get_gpio_dataout(aiDHCOMgpios[index]);
		printf("          State     = %i \n", iState);
    }

    return 0;
}

U_BOOT_CMD(
	gpioinfo,   1,   1,     do_gpio_info,
	"shows the GPIO settings",
	"\n"
);

#endif
