/*
 * File: omap_gpmc_prefetch.h
 *
 * (C) Copyright 2011-2012
 * Ludwig Zenz, DH electronics GmbH , lzenz@dh-electronics.de
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

/*
 *  Created on: 24.04.2012
 */

#ifndef OMAP_GPMC_PREFETCH_H_
#define OMAP_GPMC_PREFETCH_H_

#define GPMC_SYSCONFIG				(OMAP34XX_GPMC_BASE + 0x0010)
#define GPMC_SYSSTATUS				(OMAP34XX_GPMC_BASE + 0x0014)
#define GPMC_IRQSTATUS				(OMAP34XX_GPMC_BASE + 0x0018)
#define GPMC_IRQENABLE				(OMAP34XX_GPMC_BASE + 0x001C)
#define GPMC_TIMEOUTCONTROL			(OMAP34XX_GPMC_BASE + 0x0040)
#define GPMC_ERR_ADDRESS			(OMAP34XX_GPMC_BASE + 0x0044)
#define GPMC_ERR_TYPE				(OMAP34XX_GPMC_BASE + 0x0048)
#define GPMC_CONFIG					(OMAP34XX_GPMC_BASE + 0x0050)
#define GPMC_STATUS					(OMAP34XX_GPMC_BASE + 0x0054)
#define GPMC_PREFETCH_CONFIG1		(OMAP34XX_GPMC_BASE + 0x01E0)
#define GPMC_PREFETCH_CONFIG2		(OMAP34XX_GPMC_BASE + 0x01E4)
#define GPMC_PREFETCH_CONTROL		(OMAP34XX_GPMC_BASE + 0x01EC)
#define GPMC_PREFETCH_STATUS		(OMAP34XX_GPMC_BASE + 0x01F0)

/* Control Commands */
#define GPMC_CONFIG_RDY_BSY	0x00000001
#define GPMC_CONFIG_DEV_SIZE	0x00000002
#define GPMC_CONFIG_DEV_TYPE	0x00000003
#define GPMC_SET_IRQ_STATUS	0x00000004
#define GPMC_CONFIG_WP		0x00000005

#define GPMC_GET_IRQ_STATUS	0x00000006
#define GPMC_PREFETCH_FIFO_CNT	0x00000007 /* bytes available in FIFO for r/w */
#define GPMC_PREFETCH_COUNT	0x00000008 /* remaining bytes to be read/write*/
#define GPMC_STATUS_BUFFER	0x00000009 /* 1: buffer is available to write */

#define GPMC_NAND_COMMAND	0x0000000a
#define GPMC_NAND_ADDRESS	0x0000000b
#define GPMC_NAND_DATA		0x0000000c

#define GPMC_ENABLE_IRQ		0x0000000d


#define DMA_MPU_MODE				2
#define ENABLE_PREFETCH				(0x1 << 7)
#define CS_NUM_SHIFT				24

#define GPMC_DEVICETYPE_NOR		0
#define GPMC_DEVICETYPE_NAND		2
#define GPMC_CONFIG_WRITEPROTECT	0x00000010
#define GPMC_STATUS_BUFF_EMPTY		0x00000001
#define WR_RD_PIN_MONITORING		0x00600000
#define GPMC_PREFETCH_STATUS_FIFO_CNT(val)	((val >> 24) & 0x7F)
#define GPMC_PREFETCH_STATUS_COUNT(val)	(val & 0x00003fff)
#define GPMC_IRQ_FIFOEVENTENABLE	0x01
#define GPMC_IRQ_COUNT_EVENT		0x02

#define GPMC_PREFETCH_FIFO_CNT	0x00000007 /* bytes available in FIFO for r/w */
#define GPMC_PREFETCH_COUNT	0x00000008 /* remaining bytes to be read/write*/

#define PREFETCH_FIFOTHRESHOLD_MAX	0x40
#define PREFETCH_FIFOTHRESHOLD(val)	((val) << 8)

#define NAND_CS0_FIFO 					0x01000000
#define ELEMENTS_32BIT_IN_FIFO			16
#define ELEMENTS_32BIT_IN_FIFO_SHIFTER	6

#endif /* OMAP_GPMC_PREFETCH_H_ */
